Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.config.score.director
Class ScoreDirectorFactoryConfig

    java.lang.Object
      org.drools.planner.config.score.director.ScoreDirectorFactoryConfig

    public class ScoreDirectorFactoryConfig

extends Object

Nested Class Summary
`static class` | `ScoreDirectorFactoryConfig.ScoreDefinitionType`

Field Summary
`protected Class<? extends IncrementalScoreCalculator>` | `incrementalScoreCalculatorClass`
`protected org.drools.RuleBase` | `ruleBase`
`protected ScoreDefinition` | `scoreDefinition`
`protected Class<? extends ScoreDefinition>` | `scoreDefinitionClass`
`protected ScoreDirectorFactoryConfig.ScoreDefinitionType` | `scoreDefinitionType`
`protected List<String>` | `scoreDrlList`
`protected SimpleScoreCalculator` | `simpleScoreCalculator`
`protected Class<? extends SimpleScoreCalculator>` | `simpleScoreCalculatorClass`

Constructor Summary
`ScoreDirectorFactoryConfig()`

Method Summary
`ScoreDefinition` | `buildScoreDefinition()`
`ScoreDirectorFactory` | `buildScoreDirectorFactory(SolutionDescriptor solutionDescriptor)`
`Class<? extends IncrementalScoreCalculator>` | `getIncrementalScoreCalculatorClass()`
`org.drools.RuleBase` | `getRuleBase()`
`ScoreDefinition` | `getScoreDefinition()`
`Class<? extends ScoreDefinition>` | `getScoreDefinitionClass()`
`ScoreDirectorFactoryConfig.ScoreDefinitionType` | `getScoreDefinitionType()`
`List<String>` | `getScoreDrlList()`
`SimpleScoreCalculator` | `getSimpleScoreCalculator()`
`Class<? extends SimpleScoreCalculator>` | `getSimpleScoreCalculatorClass()`
`void` | `inherit(ScoreDirectorFactoryConfig inheritedConfig)`
`void` | `setIncrementalScoreCalculatorClass(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)`
`void` | `setRuleBase(org.drools.RuleBase ruleBase)`
`void` | `setScoreDefinition(ScoreDefinition scoreDefinition)`
`void` | `setScoreDefinitionClass(Class<? extends ScoreDefinition> scoreDefinitionClass)`
`void` | `setScoreDefinitionType(ScoreDirectorFactoryConfig.ScoreDefinitionType scoreDefinitionType)`
`void` | `setScoreDrlList(List<String> scoreDrlList)`
`void` | `setSimpleScoreCalculator(SimpleScoreCalculator simpleScoreCalculator)`
`void` | `setSimpleScoreCalculatorClass(Class<? extends SimpleScoreCalculator> simpleScoreCalculatorClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scoreDefinition

    protected ScoreDefinition scoreDefinition

### scoreDefinitionClass

    protected Class<? extends ScoreDefinition> scoreDefinitionClass

### scoreDefinitionType

    protected ScoreDirectorFactoryConfig.ScoreDefinitionType scoreDefinitionType

### simpleScoreCalculator

    protected SimpleScoreCalculator simpleScoreCalculator

### simpleScoreCalculatorClass

    protected Class<? extends SimpleScoreCalculator> simpleScoreCalculatorClass

### incrementalScoreCalculatorClass

    protected Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass

### ruleBase

    protected org.drools.RuleBase ruleBase

### scoreDrlList

    protected List<String> scoreDrlList

Constructor Detail

### ScoreDirectorFactoryConfig

    public ScoreDirectorFactoryConfig()

Method Detail

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### setScoreDefinition

    public void setScoreDefinition(ScoreDefinition scoreDefinition)

### getScoreDefinitionClass

    public Class<? extends ScoreDefinition> getScoreDefinitionClass()

### setScoreDefinitionClass

    public void setScoreDefinitionClass(Class<? extends ScoreDefinition> scoreDefinitionClass)

### getScoreDefinitionType

    public ScoreDirectorFactoryConfig.ScoreDefinitionType getScoreDefinitionType()

### setScoreDefinitionType

    public void setScoreDefinitionType(ScoreDirectorFactoryConfig.ScoreDefinitionType scoreDefinitionType)

### getSimpleScoreCalculator

    public SimpleScoreCalculator getSimpleScoreCalculator()

### setSimpleScoreCalculator

    public void setSimpleScoreCalculator(SimpleScoreCalculator simpleScoreCalculator)

### getSimpleScoreCalculatorClass

    public Class<? extends SimpleScoreCalculator> getSimpleScoreCalculatorClass()

### setSimpleScoreCalculatorClass

    public void setSimpleScoreCalculatorClass(Class<? extends SimpleScoreCalculator> simpleScoreCalculatorClass)

### getIncrementalScoreCalculatorClass

    public Class<? extends IncrementalScoreCalculator> getIncrementalScoreCalculatorClass()

### setIncrementalScoreCalculatorClass

    public void setIncrementalScoreCalculatorClass(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)

### getRuleBase

    public org.drools.RuleBase getRuleBase()

### setRuleBase

    public void setRuleBase(org.drools.RuleBase ruleBase)

### getScoreDrlList

    public List<String> getScoreDrlList()

### setScoreDrlList

    public void setScoreDrlList(List<String> scoreDrlList)

### buildScoreDirectorFactory

    public ScoreDirectorFactory buildScoreDirectorFactory(SolutionDescriptor solutionDescriptor)

### buildScoreDefinition

    public ScoreDefinition buildScoreDefinition()

### inherit

    public void inherit(ScoreDirectorFactoryConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.